{% extends 'layouts/base_background.html' %}
{% load static %} 
{% block title %} ZuLab{% endblock title %}
{% block styles %}
<link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700,900|Roboto+Slab:400,700" />  
<link href="https://fonts.googleapis.com/icon?family=Material+Icons+Round" rel="stylesheet">  
<link href="{% static 'vendor/bootstrap-table/dist/bootstrap-table.min.css'%}" rel="stylesheet"> 
{% endblock styles %}
{% block body %} class="index-page bg-gray-200" {% endblock body %}

{% block content %} 
<div class="container mt-7">
    <div class="row">
        <div class="col-lg-12 mx-auto"> 
            <div class="position-relative border-radius-xl overflow-hidden shadow-lg mb-2">
                <div class="container border-bottom">
                    <div class="row py-3">
                    <div class="col-lg-8 text-start">
                        <p class="lead text-dark pt-1 mb-0">
                            <span class="badge bg-light text-dark">
                                <i class="fa fa-list"></i>
                            </span> 
                            Listado de categorias
                        </p>
                    </div> 
                    <div class="col-lg-4 text-end my-auto">
                        <a href="{% url 'categoria_new' %}" class="text-primary icon-move-right">Crear
                        <i class="fa fa-plus text-sm ms-1" aria-hidden="true"></i>
                        </a>
                    </div>
                    </div>
                </div>
                <div class="tab-content tab-space">
                    <div class="tab-pane active" id="preview-forms-simple"> 
                        <section>
                            <div class="container py-4">
                                <div class="row">
                                    <table 
                                        id="table"
                                        data-toggle="table" 
                                        data-search="true" 
                                        data-show-toggle="true"
                                        data-show-fullscreen="true"
                                        data-show-columns="true"
                                        data-show-columns-toggle-all="true" 
                                        data-show-export="true"
                                        data-click-to-select="true"
                                        data-pagination="true" 
                                        data-page-list="[10, 25, 50, 100, all]" 
                                        data-locale="es-ES"
                                        class="table table-striped"
                                        data-sort-name="id" 
                                        data-sort-order="asc"
                                    >
                                        <thead>
                                            <th data-field = "id" data-sortable = "true">Id</th>
                                            <th>Código</th>
                                            <th>Categoría</th>
                                            <th>F. Creado</th>
                                            <th>F. Modif.</th>
                                            <th>Estado</th>
                                            <th>Acciones</th>
                                        </thead>
                                        <tbody>
                                            {% for item in obj %}
                                            <tr>
                                                <td>{{ item.id }}</td>
                                                <td>{{ item.codigo }}</td>
                                                <td>{{ item.categoria }}</td>
                                                <td>{{ item.fcreacion|date:"d/m/Y H:i:s" }}</td>
                                                <td>{{ item.fmodificacion|date:"d/m/Y H:i:s" }}</td>   
                                                <td>
                                                    <a class="btn cursor-pointer" onclick="inactivar({{item.id}})">
                                                        {% if item.estado %}
                                                            <i class="fa fa-thumbs-up text-primary"></i>
                                                        {% else %}
                                                            <i class="fa fa-thumbs-down text-black"></i>
                                                        {% endif %}
                                                    </a> 
                                                </td>
                                                <td>
                                                    <a href="{% url 'categoria_edit' item.id  %}" class="btn cursor-pointer" role="button"><i class="fa fa-edit text-dark"></i></a> 
                                                </td>
                                            </tr>
                                            {% endfor %}
                                        </tbody>
                                    </table> 
                                </div>
                            </div>
                        </section> 
                    </div> 
                </div>
            </div> 
        </div>
    </div>
</div> 
{% endblock content %}
{% block javascripts %}
<script src="https://cdn.jsdelivr.net/npm/tableexport.jquery.plugin@1.10.21/tableExport.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/tableexport.jquery.plugin@1.10.21/libs/jsPDF/jspdf.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/tableexport.jquery.plugin@1.10.21/libs/jsPDF-AutoTable/jspdf.plugin.autotable.js"></script>
<script src="{% static 'vendor/bootstrap-table/dist/bootstrap-table.min.js' %}"></script>
<script src="{% static 'vendor/bootstrap-table/dist/extensions/export/bootstrap-table-export.min.js' %}"></script>
<script src="{% static 'vendor/bootstrap-table/dist/bootstrap-table-locale-all.min.js' %}"></script>
<script>
    $(document).ready(function() { 
        $('.search-input').css({'border': '1px solid #d2d6da', 'padding': '0.5rem 1rem'}); 
    });

    function inactivar(id){  
        $.ajax({
            headers : {"X-CSRFToken": '{{csrf_token}}'},
            type:"POST",
            url:"/categoria/inactivar/"+id,
            data: JSON.stringify({id:id}),
            success: function(response){
                if(response==="OK")
                    location.reload(true);
                else
                    mensaje("Error Intentado Cambiar Estado"); 
                },
                error: function(jqXHR, textStatus, errorThrow){
                console.log(textStatus, errorThrow);
                mensaje(errorThrow,'red');
                cerrar_modal();
            }
        });
    }
</script>
{% endblock javascripts %}

